Skip to content
Start here

Search Resources

client.loadBalancers.searches.list(SearchListParams { account_id, page, per_page, 2 more } params, RequestOptionsoptions?): V4PagePagination<SearchListResponse { resources } >
GET/accounts/{account_id}/load_balancers/search

Search for Load Balancing resources.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Load Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools Read
ParametersExpand Collapse
params: SearchListParams { account_id, page, per_page, 2 more }
account_id: string

Path param: Identifier.

maxLength32
page?: number

Query param

minimum1
per_page?: number

Query param

maximum1000
minimum1
query?: string

Query param: Search query term.

references?: "" | "*" | "referral" | "referrer"

Query param: The type of references to include. "*" to include both referral and referrer references. "" to not include any reference information.

One of the following:
""
"*"
"referral"
"referrer"
ReturnsExpand Collapse
SearchListResponse { resources }
resources?: Array<Resource>

A list of resources matching the search query.

reference_type?: "referral" | "referrer"

When listed as a reference, the type (direction) of the reference.

One of the following:
"referral"
"referrer"
references?: Array<unknown>

A list of references to (referrer) or from (referral) this resource.

resource_id?: string
resource_name?: string

The human-identifiable name of the resource.

resource_type?: "load_balancer" | "monitor" | "pool"

The type of the resource.

One of the following:
"load_balancer"
"monitor"
"pool"

Search Resources

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const searchListResponse of client.loadBalancers.searches.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(searchListResponse.resources);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "resources": [
      {
        "reference_type": "referral",
        "references": [
          {
            "reference_type": "referrer",
            "resource_id": "699d98642c564d2e855e9661899b7252",
            "resource_name": "www.example.com",
            "resource_type": "load_balancer"
          },
          {
            "reference_type": "referral",
            "resource_id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
            "resource_name": "Login page monitor",
            "resource_type": "monitor"
          }
        ],
        "resource_id": "17b5962d775c646f3f9725cbc7a53df4",
        "resource_name": "primary-dc-1",
        "resource_type": "pool"
      }
    ]
  },
  "success": true,
  "result_info": {
    "count": 20,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "resources": [
      {
        "reference_type": "referral",
        "references": [
          {
            "reference_type": "referrer",
            "resource_id": "699d98642c564d2e855e9661899b7252",
            "resource_name": "www.example.com",
            "resource_type": "load_balancer"
          },
          {
            "reference_type": "referral",
            "resource_id": "f1aba936b94213e5b8dca0c0dbf1f9cc",
            "resource_name": "Login page monitor",
            "resource_type": "monitor"
          }
        ],
        "resource_id": "17b5962d775c646f3f9725cbc7a53df4",
        "resource_name": "primary-dc-1",
        "resource_type": "pool"
      }
    ]
  },
  "success": true,
  "result_info": {
    "count": 20,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}